"use strict";
exports.__esModule = true;
var test_1 = require("@schematics/angular/utility/test");
var testing_1 = require("@angular-devkit/schematics/testing");
var path = require("path");
var testing_2 = require("../../utils/testing");
var collectionPath = path.join(__dirname, '../collection.json');
describe('ng-cli-wallaby-config', function () {
    var appTree;
    var runner;
    beforeEach(function () {
        appTree = testing_2.createTestApp();
        runner = new testing_1.SchematicTestRunner('schematics', collectionPath);
    });
    it('it should create wallaby.js file', function () {
        var tree = runner.runSchematic('ng-add', {}, appTree);
        expect(tree.read('/wallaby.js')).toBeDefined();
    });
    it('it should create wallabyTest.ts file', function () {
        var tree = runner.runSchematic('ng-add', {}, appTree);
        expect(tree.read('/src/wallabyTest.ts')).toBeDefined();
    });
    it('it should add devDependence in package.json', function () {
        var tree = runner.runSchematic('ng-add', {}, appTree);
        var packageJson = JSON.parse(test_1.getFileContent(tree, '/package.json'));
        expect(packageJson.devDependencies['wallaby-webpack']).toBeDefined();
        expect(packageJson.devDependencies['angular2-template-loader']).toBeDefined();
    });
    it('it should update tsconfig.app.json file', function () {
        var tree = runner.runSchematic('ng-add', {}, appTree);
        var tsconfigJson = JSON.parse(test_1.getFileContent(tree, '/src/tsconfig.app.json'));
        expect(tsconfigJson.exclude).toContain('wallabyTest.ts');
    });
});
//# sourceMappingURL=index_spec.js.map